## UIM Get Slot Status request UIM Get Slot Status request |

## Functions

QmiMessageUimGetSlotStatusOutput * | qmi_message_uim_get_slot_status_output_ref ()
void | qmi_message_uim_get_slot_status_output_unref ()
gboolean | qmi_message_uim_get_slot_status_output_get_slot_eid_information ()
gboolean | qmi_message_uim_get_slot_status_output_get_physical_slot_information ()
gboolean | qmi_message_uim_get_slot_status_output_get_physical_slot_status ()
gboolean | qmi_message_uim_get_slot_status_output_get_result ()
void | qmi_client_uim_get_slot_status ()
QmiMessageUimGetSlotStatusOutput * | qmi_client_uim_get_slot_status_finish ()

## Types and Values

| QmiMessageUimGetSlotStatusOutput

## Object Hierarchy

        GBoxed
        ╰── QmiMessageUimGetSlotStatusOutput

## Description

## Functions

### qmi_message_uim_get_slot_status_output_ref ()

    QmiMessageUimGetSlotStatusOutput *
    qmi_message_uim_get_slot_status_output_ref
                                   (QmiMessageUimGetSlotStatusOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageUimGetSlotStatusOutput. |

#### Returns

the new reference to `self` .

Since: 1.26

### qmi_message_uim_get_slot_status_output_unref ()

    void
    qmi_message_uim_get_slot_status_output_unref
                                   (QmiMessageUimGetSlotStatusOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageUimGetSlotStatusOutput. |

Since: 1.26

### qmi_message_uim_get_slot_status_output_get_slot_eid_information ()

    gboolean
    qmi_message_uim_get_slot_status_output_get_slot_eid_information
                                   (QmiMessageUimGetSlotStatusOutput *self,
                                    GArray **value_slot_eid_information,
                                    GError **error);

Get the 'Slot EID Information' field from `self` .

#### Parameters

self | a QmiMessageUimGetSlotStatusOutput. |
value_slot_eid_information | a placeholder for the output GArray of GArray * elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type GArray][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_uim_get_slot_status_output_get_physical_slot_information ()

    gboolean
    qmi_message_uim_get_slot_status_output_get_physical_slot_information
                                   (QmiMessageUimGetSlotStatusOutput *self,
                                    GArray **value_physical_slot_information,
                                    GError **error);

Get the 'Physical Slot Information' field from `self` .

#### Parameters

self | a QmiMessageUimGetSlotStatusOutput. |
value_physical_slot_information | a placeholder for the output GArray of QmiPhysicalSlotInformationSlot elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiPhysicalSlotInformationSlot][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_uim_get_slot_status_output_get_physical_slot_status ()

    gboolean
    qmi_message_uim_get_slot_status_output_get_physical_slot_status
                                   (QmiMessageUimGetSlotStatusOutput *self,
                                    GArray **value_physical_slot_status,
                                    GError **error);

Get the 'Physical Slot Status' field from `self` .

#### Parameters

self | a QmiMessageUimGetSlotStatusOutput. |
value_physical_slot_status | a placeholder for the output GArray of QmiPhysicalSlotStatusSlot elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiPhysicalSlotStatusSlot][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.26

### qmi_message_uim_get_slot_status_output_get_result ()

    gboolean
    qmi_message_uim_get_slot_status_output_get_result
                                   (QmiMessageUimGetSlotStatusOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageUimGetSlotStatusOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.26

### qmi_client_uim_get_slot_status ()

    void
    qmi_client_uim_get_slot_status (QmiClientUim *self,
                                    gpointer unused,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously sends a Get Slot Status request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_uim_get_slot_status_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientUim. |
unused | `NULL`. This message doesn't have any input bundle. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.26

### qmi_client_uim_get_slot_status_finish ()

    QmiMessageUimGetSlotStatusOutput *
    qmi_client_uim_get_slot_status_finish (QmiClientUim *self,
                                           GAsyncResult *res,
                                           GError **error);

Finishes an async operation started with `qmi_client_uim_get_slot_status()`.

#### Parameters

self | a QmiClientUim. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_uim_get_slot_status()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageUimGetSlotStatusOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_uim_get_slot_status_output_unref()`.

Since: 1.26

## Types and Values

### QmiMessageUimGetSlotStatusOutput

    typedef struct _QmiMessageUimGetSlotStatusOutput QmiMessageUimGetSlotStatusOutput;

The QmiMessageUimGetSlotStatusOutput structure contains private data and should only be accessed using the provided API.

Since: 1.26